GNU bug report logs - #56965
wterm does not work on sway

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Joshua Branson <jbranso@HIDDEN>; merged with #52029; Done: Joshua Branson <jbranso@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
bug closed, send any further explanations to 56965 <at> debbugs.gnu.org and Joshua Branson <jbranso@HIDDEN> Request was from Joshua Branson <jbranso@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56965 <at> debbugs.gnu.org:


Received: (at 56965) by debbugs.gnu.org; 8 Aug 2022 10:34:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 08 06:34:05 2022
Received: from localhost ([127.0.0.1]:39301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oL05F-0001T5-BB
	for submit <at> debbugs.gnu.org; Mon, 08 Aug 2022 06:34:05 -0400
Received: from mx1.dismail.de ([78.46.223.134]:20456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbranso@HIDDEN>) id 1oL05D-0001SB-4T
 for 56965 <at> debbugs.gnu.org; Mon, 08 Aug 2022 06:34:04 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 6dd47c5e;
 Mon, 8 Aug 2022 12:33:55 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=
 mime-version:date:content-type:content-transfer-encoding:from
 :message-id:subject:to:cc:in-reply-to:references; s=20190914;
 bh=zJRQs5mFMUXoWmaZy+xfuydgGrjBo4srS5ab/5wo6kI=; b=RMkuKH6+JvoI
 fkkoPTgKtNtZlhzEluqQrV6nu2tHaE8nQiO19PZ5L1Ias4DxIJyaxvyi1vh1gbs+
 yPWGf5YRW8Boqd3NfS2DZNIu+DUc3+LASPH6zS+MHhTm/QbGyhv0bV9BX4DHFin8
 5u0HbEm3LalwfUqvNyOJKqhd/9uF2/km57sNHy7htEc66F4KBmZUT2MZ2ViD2Dt1
 cLgryrk6x9Omb9DdkvTPNcsRvJJfuH/qGAR6O/TgSpBf0GPzpQZopLwsZUE1gw+T
 iQMrODPNB0aHa2qTbs99CZWYDaGDdbmcetxksbsB41WivWzo1nICvwqS5GXhWB0Q
 B/sFlP855Q==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id a062800e;
 Mon, 8 Aug 2022 12:33:54 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 20e9cce1;
 Mon, 8 Aug 2022 12:33:54 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 45dd78e6
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Mon, 8 Aug 2022 12:33:53 +0200 (CEST)
MIME-Version: 1.0
Date: Mon, 08 Aug 2022 10:33:53 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: RainLoop/1.16.0a
From: jbranso@HIDDEN
Message-ID: <3a8496e158ae3762fe03b41f5a8b3caf@HIDDEN>
Subject: Re: bug#56965: wterm does not work on sway
To: bokr@HIDDEN
In-Reply-To: <20220806194528.GA2510@LionPure>
References: <20220806194528.GA2510@LionPure> <87tu6swz7f.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 56965
Cc: 56965 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

August 6, 2022 3:45 PM, bokr@HIDDEN wrote:

> Hi Joshua,
>=20
>=20On +2022-08-03 21:54:12 -0400, Joshua Branson via Bug reports for GNU=
 Guix wrote:
>=20
>>=20wterm is said to be a simple terminal for wayland:
>>=20
>>=20#+BEGIN_SRC shell :results: raw
>> guix show wterm | recsel -p synopsis
>> #+END_SRC
>>=20
>>=20#+RESULTS:
>> : synopsis: Terminal emulator for Wayland
>>=20
>>=20Well, when I try to use it, I get the following error on sway. wterm
>> does not start.
>>=20
>>=20joshua@crazyhorse ~ (master)> wterm
>> wl_drm@11: error 0: authenticate failed
>> # wayland_create_context: DRM authentication failed
>> # wayland_create_context: No wl_shm global
>> # wld_wayland_create_context: Could not initialize any of the specifie=
d implementations
>> Can't create wayland context
>>=20
>>=20Thanks,
>>=20
>>=20Joshua
>=20
>=20Might you need to add video and maybe audio groups to your set of gro=
ups?

I have those set for my regular user.  I did not try to run the command a=
s root.  :)

Patch https://issues.guix.gnu.org/57014 seems to have a patch to deprecat=
e wterm,
if this is the direction that we decide to take.=20=20

>=20
> What do you get from
> id $USER
> or
> groups
> or, to see who else you share groups with
> grep $USER /etc/groups
> for adding groups to those you already have, I think check the -aG opti=
on
> info usermod
> I don't dare suggest the actual command for your system, so
> you're on your own. If you have the sudo group, id $USER should show it=
,
> and that's probably easier. If you go into root, you don't want
> to add video,audio to root, so IIRC the options are a little different
> to make sure you as $USER get the added groups, not root.
> (BTW, try typing "id root" ;)
>=20
>=20HTH
> --
> Regards,
> Bengt Richter




Information forwarded to bug-guix@HIDDEN:
bug#56965; Package guix. Full text available.

Message received at 56965 <at> debbugs.gnu.org:


Received: (at 56965) by debbugs.gnu.org; 6 Aug 2022 19:45:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 15:45:57 2022
Received: from localhost ([127.0.0.1]:35468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oKPkD-0003j5-5I
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2022 15:45:57 -0400
Received: from mailout.easymail.ca ([64.68.200.34]:46014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bokr@HIDDEN>) id 1oKPk9-0003in-2D
 for 56965 <at> debbugs.gnu.org; Sat, 06 Aug 2022 15:45:55 -0400
Received: from localhost (localhost [127.0.0.1])
 by mailout.easymail.ca (Postfix) with ESMTP id C5BF4E33D0;
 Sat,  6 Aug 2022 19:45:45 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=bokr.com; s=easymail;
 t=1659815145; bh=DzVijvZalYzT0buscjntl0GTeAUugn+OORoq4UcAtaQ=;
 h=From:Date:To:Cc:Subject:References:In-Reply-To:From;
 b=PtNoFAPEsWuA6eY3OdX33m/tSlIkDFeTMz+rJ9zf7zrt1MeYtr0iAyZ1Y1coS/EZ6
 Uq9oO5jP0b6nrKLL0zg1gEblfK7n1awAAWSoFCvvbu625WybecWgQmLCW1GgsiLyNx
 wMaP/lfu0JP00upkQS+IHyNDQQprn9QbN69aFST1SZTzeNxxERKUJxj3IFTKzBQgFd
 P6jzb5oIu4JpgRpol38tu+AOSrbBSuZbaRuWbC++rE3RYWqPKkK5GGOfiKaYTU+Z8r
 c9K4NUjjCdqv1RdjiNv8KrAulzGMckddiVcrLxaDO3ycwGeejrF6noAr2jukXivK31
 UPatd1Chx1Q/A==
X-Virus-Scanned: Debian amavisd-new at emo08-pco.easydns.vpn
Received: from mailout.easymail.ca ([127.0.0.1])
 by localhost (emo08-pco.easydns.vpn [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id PV94gTdx_yIM; Sat,  6 Aug 2022 19:45:45 +0000 (UTC)
Received: from localhost (m90-129-216-108.cust.tele2.se [90.129.216.108])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mailout.easymail.ca (Postfix) with ESMTPSA id EF743E31D9;
 Sat,  6 Aug 2022 19:45:44 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=bokr.com; s=easymail;
 t=1659815145; bh=DzVijvZalYzT0buscjntl0GTeAUugn+OORoq4UcAtaQ=;
 h=From:Date:To:Cc:Subject:References:In-Reply-To:From;
 b=PtNoFAPEsWuA6eY3OdX33m/tSlIkDFeTMz+rJ9zf7zrt1MeYtr0iAyZ1Y1coS/EZ6
 Uq9oO5jP0b6nrKLL0zg1gEblfK7n1awAAWSoFCvvbu625WybecWgQmLCW1GgsiLyNx
 wMaP/lfu0JP00upkQS+IHyNDQQprn9QbN69aFST1SZTzeNxxERKUJxj3IFTKzBQgFd
 P6jzb5oIu4JpgRpol38tu+AOSrbBSuZbaRuWbC++rE3RYWqPKkK5GGOfiKaYTU+Z8r
 c9K4NUjjCdqv1RdjiNv8KrAulzGMckddiVcrLxaDO3ycwGeejrF6noAr2jukXivK31
 UPatd1Chx1Q/A==
From: bokr@HIDDEN
Date: Sat, 6 Aug 2022 21:45:28 +0200
To: Joshua Branson <jbranso@HIDDEN>
Subject: Re: bug#56965: wterm does not work on sway
Message-ID: <20220806194528.GA2510@LionPure>
References: <87tu6swz7f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <87tu6swz7f.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56965
Cc: 56965 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Joshua,

On +2022-08-03 21:54:12 -0400, Joshua Branson via Bug reports for GNU Guix wrote:
> 
> wterm is said to be a simple terminal for wayland:
> 
> #+BEGIN_SRC shell  :results: raw
> guix show wterm | recsel -p synopsis
> #+END_SRC
> 
> #+RESULTS:
> : synopsis: Terminal emulator for Wayland
> 
> Well, when I try to use it, I get the following error on sway.  wterm
> does not start.
> 
> joshua@crazyhorse ~ (master)> wterm 
> wl_drm@11: error 0: authenticate failed
> # wayland_create_context: DRM authentication failed
> # wayland_create_context: No wl_shm global
> # wld_wayland_create_context: Could not initialize any of the specified implementations
> Can't create wayland context
> 
> 
> Thanks,
> 
> Joshua
> 

Might you need to add video and maybe audio groups to your set of groups?

What do you get from
    id $USER
or
    groups
or, to see who else you share groups with
    grep $USER /etc/groups
for adding groups to those you already have, I think check the -aG option
    info usermod
I don't dare suggest the actual command for your system, so
you're on your own. If you have the sudo group, id $USER should show it,
and that's probably easier. If you go into root, you don't want
to add video,audio to root, so IIRC the options are a little different
to make sure you as $USER get the added groups, not root.
(BTW, try typing "id root" ;)

HTH
--
Regards,
Bengt Richter




Information forwarded to bug-guix@HIDDEN:
bug#56965; Package guix. Full text available.
Merged 52029 56965. Request was from Joshua Allen Branson <jbranso@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56965 <at> debbugs.gnu.org:


Received: (at 56965) by debbugs.gnu.org; 4 Aug 2022 03:06:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 03 23:06:18 2022
Received: from localhost ([127.0.0.1]:50679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJRBi-0000ir-1g
	for submit <at> debbugs.gnu.org; Wed, 03 Aug 2022 23:06:18 -0400
Received: from mx1.dismail.de ([78.46.223.134]:29392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbranso@HIDDEN>) id 1oJRBb-0000iU-NF
 for 56965 <at> debbugs.gnu.org; Wed, 03 Aug 2022 23:06:16 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id cd69767c;
 Thu, 4 Aug 2022 05:06:04 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=20190914; bh=BGX1BqxeWEWc4nLQGWk83+SQ6Ene99k06n
 p6CrLXMyY=; b=K9wUGrQ1GjLdgwBDMtNV/Ro4xIA4aY7zlR8wn0Etm3/exbLkTp
 eYQQsEyMmmEtEepvYcG8T77CiZEGLaD2lXQdDGMfecNyPetAHKgcsfR8jwK2bzTP
 BDFONKwtxv8EP4cG+X0YR14z+QZVi+j2s0RWsqHUNUQZCUu83SXyhGPDWIq01lrl
 90qalImipP8odmdeg8Pj+QcCA9nT8S2HegWYOkqvcWBUt2lXVXRicYsmKhUzku9W
 /n42SVPb/IYo5Q6GPRVXPJk1G+4cTBCU9KpIfx2I4bjfiHeHQwiUEQW6A0kjvCWo
 dFu6mXypZ/2uYHjyyhQiklMrAg4jTg/GR1mw==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 2cfa6246;
 Thu, 4 Aug 2022 05:06:03 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 15273c33;
 Thu, 4 Aug 2022 05:06:03 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id b9143754
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Thu, 4 Aug 2022 05:06:02 +0200 (CEST)
From: Joshua Branson <jbranso@HIDDEN>
To: 56965 <at> debbugs.gnu.org
Subject: Re: bug#56965: wterm does not work on sway
References: <87tu6swz7f.fsf@HIDDEN>
Date: Wed, 03 Aug 2022 23:06:00 -0400
In-Reply-To: <87tu6swz7f.fsf@HIDDEN> (Joshua Branson's message of "Wed, 03
 Aug 2022 21:54:12 -0400")
Message-ID: <87les4wvvr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 56965
Cc: ison <ison@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Joshua Branson <jbranso@HIDDEN> writes:

> wterm is said to be a simple terminal for wayland:
>
> #+BEGIN_SRC shell  :results: raw
> guix show wterm | recsel -p synopsis
> #+END_SRC
>
> #+RESULTS:
> : synopsis: Terminal emulator for Wayland
>
> Well, when I try to use it, I get the following error on sway.  wterm
> does not start.
>
> joshua@crazyhorse ~ (master)> wterm 
> wl_drm@11: error 0: authenticate failed
> # wayland_create_context: DRM authentication failed
> # wayland_create_context: No wl_shm global
> # wld_wayland_create_context: Could not initialize any of the specified implementations
> Can't create wayland context
>
>
> Thanks,
>
> Joshua
>

Pinging the original submitted of wterm.  




Information forwarded to bug-guix@HIDDEN:
bug#56965; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Aug 2022 01:54:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 03 21:54:23 2022
Received: from localhost ([127.0.0.1]:50634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJQ46-0007I2-R9
	for submit <at> debbugs.gnu.org; Wed, 03 Aug 2022 21:54:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:35298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbranso@HIDDEN>) id 1oJQ44-0007Hs-Gr
 for submit <at> debbugs.gnu.org; Wed, 03 Aug 2022 21:54:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43706)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jbranso@HIDDEN>)
 id 1oJQ44-0002D0-3Y
 for bug-guix@HIDDEN; Wed, 03 Aug 2022 21:54:20 -0400
Received: from mx1.dismail.de ([78.46.223.134]:22850)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jbranso@HIDDEN>)
 id 1oJQ42-0002aV-8s
 for bug-guix@HIDDEN; Wed, 03 Aug 2022 21:54:19 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 162e3327
 for <bug-guix@HIDDEN>; Thu, 4 Aug 2022 03:54:15 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=from:to
 :subject:date:message-id:mime-version:content-type; s=20190914;
 bh=4rMxe9YBmkRCiEx+H34qcfrJL/K+oP+CurxhEFUexL0=; b=g+TvKwQkTm6d
 K7ebqEuHTsxLGCiSPazuB+khJBE8P3A9ejRhi+tzz2wezRCuopKZeNVdkXmd01Jn
 G/aIStlu2AeVoTax9ULMl7+EiLfBGILii0CKvsCMq8Oc8AH5ZaA58lb3sgh50ZXs
 kmCV6PsqXLpitwyUBMXa76jEB86sF5lcCFwoOxciiAB2OzTkTv2JUNtw923SLRnW
 wGOxNoWg7JCktE7dYvfaILv1LNxAEQqCffJEQdMi8VBOaE6Cqbz4EBmODJZWOxwi
 8dwD+wxnmXogVyoXTElGgIQsT/d5liwvJ1JESilvobLO1RTz9+KtY3qSCcr+2VDi
 IIDlyoyt6A==
Received: from smtp1.dismail.de (<unknown> [10.240.26.11])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id f1e1d020
 for <bug-guix@HIDDEN>; Thu, 4 Aug 2022 03:54:15 +0200 (CEST)
Received: from smtp1.dismail.de (localhost [127.0.0.1])
 by smtp1.dismail.de (OpenSMTPD) with ESMTP id b99773ef
 for <bug-guix@HIDDEN>; Thu, 4 Aug 2022 03:54:15 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id fc22a148
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO) for <bug-guix@HIDDEN>;
 Thu, 4 Aug 2022 03:54:14 +0200 (CEST)
From: Joshua Branson <jbranso@HIDDEN>
To: bug-guix@HIDDEN 
Subject: wterm does not work on sway
Date: Wed, 03 Aug 2022 21:54:12 -0400
Message-ID: <87tu6swz7f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=78.46.223.134; envelope-from=jbranso@HIDDEN;
 helo=mx1.dismail.de
X-Spam_score_int: -2
X-Spam_score: -0.3
X-Spam_bar: /
X-Spam_report: (-0.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HDRS_MISSP=2.497,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


wterm is said to be a simple terminal for wayland:

#+BEGIN_SRC shell  :results: raw
guix show wterm | recsel -p synopsis
#+END_SRC

#+RESULTS:
: synopsis: Terminal emulator for Wayland

Well, when I try to use it, I get the following error on sway.  wterm
does not start.

joshua@crazyhorse ~ (master)> wterm 
wl_drm@11: error 0: authenticate failed
# wayland_create_context: DRM authentication failed
# wayland_create_context: No wl_shm global
# wld_wayland_create_context: Could not initialize any of the specified implementations
Can't create wayland context


Thanks,

Joshua




Acknowledgement sent to Joshua Branson <jbranso@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#56965; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Aug 2022 16:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.